summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMichał Górny <mgorny@gentoo.org>2012-12-09 20:56:25 +0000
committerMichał Górny <mgorny@gentoo.org>2012-12-09 20:56:25 +0000
commit1c0728cc6381cb1719a10e90f93b89e0bbc737e7 (patch)
treec3aaefd5c804e775cd25256c2ff377bad650c686 /eclass/distutils-r1.eclass
parentfix gettext deps per bug #398977 and clean out old ebuilds (diff)
downloadhistorical-1c0728cc6381cb1719a10e90f93b89e0bbc737e7.tar.gz
historical-1c0728cc6381cb1719a10e90f93b89e0bbc737e7.tar.bz2
historical-1c0728cc6381cb1719a10e90f93b89e0bbc737e7.zip
Fix python-exec symlink generation for Prefix. Thanks to Fabian Groffen for help.
Diffstat (limited to 'eclass/distutils-r1.eclass')
-rw-r--r--eclass/distutils-r1.eclass4
1 files changed, 2 insertions, 2 deletions
diff --git a/eclass/distutils-r1.eclass b/eclass/distutils-r1.eclass
index 33d716c9ed9e..f5cc4e6f7f8e 100644
--- a/eclass/distutils-r1.eclass
+++ b/eclass/distutils-r1.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/distutils-r1.eclass,v 1.30 2012/12/07 22:23:04 mgorny Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/distutils-r1.eclass,v 1.31 2012/12/09 20:56:25 mgorny Exp $
# @ECLASS: distutils-r1
# @MAINTAINER:
@@ -295,7 +295,7 @@ _distutils-r1_rename_scripts() {
mv "${f}" "${newf}" || die
debug-print "${FUNCNAME}: installing wrapper at ${f#${D}/}"
- _python_ln_rel "${path}"/usr/bin/python-exec "${f}" || die
+ _python_ln_rel "${path}${EPREFIX}"/usr/bin/python-exec "${f}" || die
fi
done < <(find "${path}" -type f -executable -print0)
}